Application: gvSIG desktop - gvSIG bugs #4344
3D layer properties are not persistent
08/30/2016 03:26 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Lluis Marqués

Category: 3D

Target version: 2.4.0-2833-RC1 (rev. org.gvsig.desktop-2{0.199)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2443 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

3D layer properties are not saved in gvSIG projects. For instance, when opening a saved project the loading mode is always

"Rasterized vector".

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3549: Elevation field of... Invalid
Related to Application: gvSIG desktop - gvSIG bugs # 4602: Error saving a pro... Closed

05/29/2015
08/08/2017

Associated revisions

Revision 1602 - 08/09/2017 11:48 AM - Joaquin del Cerro Murciano

refs #4602, #4344 correccion de un error de bulto en DefaultFactories

Revision 43421 - 08/09/2017 12:07 PM - Joaquin del Cerro Murciano

refs #4602, #4344 actualizacion de la version de org.gvsig.tools

History

#1 - 06/28/2017 11:09 AM - Alvaro Anguix
- Related to gvSIG bugs #3549: Elevation field of vector layer is not persistent added

#2 - 06/28/2017 11:12 AM - Joaquin del Cerro Murciano
- Priority changed from Normal to Low

#3 - 07/12/2017 05:26 PM - Lluis Marqués
- Status changed from New to In progress

#4 - 07/24/2017 06:35 PM - Lluis Marqués
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from In progress to Fixed

Corregido error en la persistencia usando factorias.
Las factorias de las propiedades 3D extienden unas de otras y al recuperar la factoria capaz de persistir las propiedades 3D, se obtenia la primera

que encontraba aunque no fuera la correcta. Ahora las recupera todas y luego devuelve la correcta.

Asigno a la version 2.4.0 hasta generar el build.

#5 - 07/26/2017 01:11 AM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)

#6 - 07/26/2017 09:54 AM - Lluis Marqués

- Target version changed from 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

Cambio la version prevista a la RC1 ya que no han entrado en la 2829

#7 - 08/04/2017 05:47 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)

#8 - 08/08/2017 10:19 AM - Alvaro Anguix
- Status changed from Fixed to Closed

#9 - 08/08/2017 10:51 AM - Antonio Falciano

Alvaro, | can't verify if the issue is solved in build 2830, because of #4602. So I'd reopen the ticket.
#10 - 08/09/2017 09:19 AM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #4602: Error saving a project added

#11 - 08/11/2017 03:44 PM - Antonio Falciano

- Target version changed from 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Closed to New

The 3D layer properties are not saved in gvSIG projects in build 2831, so | reopen the ticket.

#12 - 08/17/2017 05:09 PM - Antonio Falciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2833-RC1 (rev. org.gvsig.desktop-2.0.199)

- Status changed from New to Closed

Tested again in build 2832 and it works fine, so | close the ticket.
